Qwt User's Guide: QwtPolygonFData Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# QwtPolygonFData Class Reference

Inheritance diagram for QwtPolygonFData:

[legend]
Collaboration diagram for QwtPolygonFData:

[legend]
List of all members.

## Detailed Description

Data class containing a single QwtArray<QwtDoublePoint> object.

Definition at line 85 of file qwt_data.h.

## Public Member Functions
| QwtPolygonFData (const QPolygonF &)
QwtPolygonFData & | operator= (const QwtPolygonFData &)
virtual QwtData * | copy () const
virtual size_t | size () const
virtual double | x (size_t i) const
virtual double | y (size_t i) const
const QPolygonF & | data () const

## Constructor & Destructor Documentation

QwtPolygonFData::QwtPolygonFData | ( | const QPolygonF & | polygon | ) |

  | Constructor Parameters:
  | polygon | Polygon data
See also: QwtPlotCurve::setData() Definition at line 69 of file qwt_data.cpp. Referenced by copy().

## Member Function Documentation

QwtData * QwtPolygonFData::copy | ( |  | ) | const`[virtual]`

| Returns: Pointer to a copy (virtual copy constructor) Implements QwtData. Definition at line 128 of file qwt_data.cpp. References QwtSpline::d_data, and QwtPolygonFData().

QwtPolygonFData & QwtPolygonFData::operator= | ( | const QwtPolygonFData & |  | ) |

| Assignment. Definition at line 78 of file qwt_data.cpp. References QwtSpline::d_data, and data().

size_t QwtPolygonFData::size | ( |  | ) | const`[virtual]`

| Returns: Size of the data set Implements QwtData. Definition at line 89 of file qwt_data.cpp. References QwtSpline::d_data.

double QwtPolygonFData::x | ( | size_t | i | ) | const`[virtual]`

  | Return the x value of data point i Parameters:
  | i | Index
Returns: x X value of data point i Implements QwtData. Definition at line 100 of file qwt_data.cpp. References QwtSpline::d_data.

double QwtPolygonFData::y | ( | size_t | i | ) | const`[virtual]`

  | Return the y value of data point i Parameters:
  | i | Index
Returns: y Y value of data point i Implements QwtData. Definition at line 111 of file qwt_data.cpp. References QwtSpline::d_data.